Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/JobManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/JobManager.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/JobManager.cs	(revision 3011)
@@ -33,9 +33,10 @@
 using System.IO;
 using HeuristicLab.Tracing;
+using System.Transactions;
 
 namespace HeuristicLab.Hive.Server.Core {
   class JobManager: IJobManager, IInternalJobManager {
 
-    ISessionFactory factory;
+    //ISessionFactory factory;
     ILifecycleManager lifecycleManager;
 
@@ -43,5 +44,5 @@
 
     public JobManager() {
-      factory = ServiceLocator.GetSessionFactory();
+      //factory = ServiceLocator.GetSessionFactory();
       lifecycleManager = ServiceLocator.GetLifecycleManager();
 
@@ -50,98 +51,28 @@
     }
 
-    private JobResult GetLastJobResult(Guid jobId) {
-      ISession session = factory.GetSessionForCurrentThread();
-
-      try {
-        IJobResultsAdapter jobResultAdapter =
-            session.GetDataAdapter<JobResult, IJobResultsAdapter>();
-
-        return jobResultAdapter.GetLastResultOf(jobId);
-      }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
-    }
-
-    public void ResetJobsDependingOnResults(Job job) {
-
+    private JobDto GetLastJobResult(Guid jobId) {     
+      return DaoLocator.JobDao.FindById(jobId);
+    }
+
+    public void ResetJobsDependingOnResults(JobDto job) {
       HiveLogger.Info(this.ToString() + ": Setting job " + job.Id + " offline");
-
-      ISession session = factory.GetSessionForCurrentThread();
-      ITransaction tx = null;
-
-      try {
-        IJobAdapter jobAdapter =
-            session.GetDataAdapter<Job, IJobAdapter>();
-
-        IJobResultsAdapter jobResultsAdapter =
-          session.GetDataAdapter<JobResult, IJobResultsAdapter>();
-
-        tx = session.BeginTransaction();
-
-        if (job != null) {
-          SerializedJob computableJob =
-              new SerializedJob();
-          computableJob.JobInfo =
-            job;
-
-          JobResult lastResult = 
-            GetLastJobResult(job.Id);
-
-          if (lastResult != null) {
-            SerializedJobResult lastJobResult =
-              jobResultsAdapter.GetSerializedJobResult(lastResult.Id);
-
-            if (lastJobResult != null) {
-              computableJob.JobInfo.Percentage = lastJobResult.JobResult.Percentage;
-              computableJob.SerializedJobData = lastJobResult.SerializedJobResultData;
-
-              jobAdapter.UpdateSerializedJob(computableJob);
-            } else {
-              computableJob.JobInfo.Percentage = 0;
-            }
-          } else {
-            computableJob.JobInfo.Percentage = 0;
-          }
-
-          computableJob.JobInfo.Client = null;
-          computableJob.JobInfo.State = State.offline;
-
-          jobAdapter.Update(computableJob.JobInfo);
-        }
-
-        tx.Commit();
-      }
-      catch (Exception ex) {
-        if (tx != null)
-          tx.Rollback();
-        throw ex;
-      }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
-    }
+      if (job != null) {
+        DaoLocator.JobDao.SetJobOffline(job);
+      }
+    }
+         
 
     void checkForDeadJobs() {
       HiveLogger.Info(this.ToString() + " Searching for dead Jobs");
-       ISession session = factory.GetSessionForCurrentThread();
-
-       try {
-         IJobAdapter jobAdapter =
-             session.GetDataAdapter<Job, IJobAdapter>();
-
-         List<Job> allJobs = new List<Job>(jobAdapter.GetAll());
-         foreach (Job curJob in allJobs) {
-           if (curJob.State == State.calculating) {
-             ResetJobsDependingOnResults(curJob);
-           }
-         }
-       }
-       finally {
-         if (session != null)
-           session.EndSession();
-       }
+      using (TransactionScope scope = new TransactionScope()) {
+        List<JobDto> allJobs = new List<JobDto>(DaoLocator.JobDao.FindAll());
+        foreach (JobDto curJob in allJobs) {
+          if (curJob.State != State.calculating) {
+            ResetJobsDependingOnResults(curJob);
+          }
+        }
+        scope.Complete();
+      }
+      DaoLocator.DestroyContext();
     }
 
@@ -158,23 +89,23 @@
     /// </summary>
     /// <returns></returns>
-    public ResponseList<Job> GetAllJobs() {
-       ISession session = factory.GetSessionForCurrentThread();
+    public ResponseList<JobDto> GetAllJobs() {
+       /*ISession session = factory.GetSessionForCurrentThread();
 
        try {
          IJobAdapter jobAdapter =
-             session.GetDataAdapter<Job, IJobAdapter>();
-
-         ResponseList<Job> response = new ResponseList<Job>();
-
-         response.List = new List<Job>(jobAdapter.GetAll());
+             session.GetDataAdapter<JobDto, IJobAdapter>();*/
+
+         ResponseList<JobDto> response = new ResponseList<JobDto>();
+
+         response.List = new List<JobDto>(DaoLocator.JobDao.FindAll());
          response.Success = true;
          response.StatusMessage = ApplicationConstants.RESPONSE_JOB_ALL_JOBS;
 
          return response;
-       }
+       /*}
        finally {
          if (session != null)
            session.EndSession();
-       }
+       } */
     }
 
@@ -184,16 +115,7 @@
     /// <param name="jobId"></param>
     /// <returns></returns>
-    public Stream GetJobStreamById(Guid jobId) {
-      ISession session = factory.GetSessionForCurrentThread();
-      try {
-        IJobAdapter jobAdapter =
-          session.GetDataAdapter<Job, IJobAdapter>();
-
-        return jobAdapter.GetSerializedJobStream(jobId, false);
-      }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
+    public Stream GetJobStreamById(Guid jobId) {           
+      return DaoLocator.JobDao.GetSerializedJobStream(jobId);
+      
     }
 
@@ -202,14 +124,14 @@
     /// </summary>
     /// <returns></returns>
-    public ResponseObject<Job> GetJobById(Guid jobId) {
-      ISession session = factory.GetSessionForCurrentThread();
-
-      try {
+    public ResponseObject<JobDto> GetJobById(Guid jobId) {
+      /*ISession session = factory.GetSessionForCurrentThread();
+
+      try {              
         IJobAdapter jobAdapter =
-            session.GetDataAdapter<Job, IJobAdapter>();
-
-        ResponseObject<Job> response = new ResponseObject<Job>();
-
-        response.Obj = jobAdapter.GetById(jobId);
+            session.GetDataAdapter<JobDto, IJobAdapter>();*/
+
+        ResponseObject<JobDto> response = new ResponseObject<JobDto>();
+
+      response.Obj = DaoLocator.JobDao.FindById(jobId);
         if (response.Obj != null) {
           response.Success = true;
@@ -222,9 +144,9 @@
         return response;
       }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
-    }
+      /*finally {
+        if (session != null)
+          session.EndSession();
+      }
+    }   */
 
     /// <summary>
@@ -233,12 +155,12 @@
     /// <param name="job"></param>
     /// <returns></returns>
-    public ResponseObject<Job> AddNewJob(SerializedJob job) {
-      ISession session = factory.GetSessionForCurrentThread();
+    public ResponseObject<JobDto> AddNewJob(SerializedJob job) {
+      /*ISession session = factory.GetSessionForCurrentThread();
 
       try {
         IJobAdapter jobAdapter =
-            session.GetDataAdapter<Job, IJobAdapter>();
-
-        ResponseObject<Job> response = new ResponseObject<Job>();
+            session.GetDataAdapter<JobDto, IJobAdapter>();*/
+
+        ResponseObject<JobDto> response = new ResponseObject<JobDto>();
 
         if (job != null && job.JobInfo != null) {
@@ -260,5 +182,7 @@
 
           job.JobInfo.DateCreated = DateTime.Now;
-          jobAdapter.UpdateSerializedJob(job);
+          DaoLocator.JobDao.InsertWithAttachedJob(job);
+          DaoLocator.PluginInfoDao.InsertPluginDependenciesForJob(job.JobInfo);
+          //jobAdapter.UpdateSerializedJob(job);
           response.Success = true;
           response.Obj = job.JobInfo;
@@ -271,9 +195,9 @@
         return response;
       }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
-    }
+    /*  finally {
+        if (session != null)
+          session.EndSession();
+      }
+    } */
 
     /// <summary>
@@ -283,12 +207,13 @@
     /// <returns></returns>
     public Response RemoveJob(Guid jobId) {
-      ISession session = factory.GetSessionForCurrentThread();
+      /*ISession session = factory.GetSessionForCurrentThread();
 
       try {
         IJobAdapter jobAdapter =
-            session.GetDataAdapter<Job, IJobAdapter>();
+            session.GetDataAdapter<JobDto, IJobAdapter>();*/
+
         Response response = new Response();
 
-        Job job = jobAdapter.GetById(jobId);
+      JobDto job = DaoLocator.JobDao.FindById(jobId);
         if (job == null) {
           response.Success = false;
@@ -296,5 +221,5 @@
           return response;
         }
-        jobAdapter.Delete(job);
+        DaoLocator.JobDao.Delete(job);
         response.Success = false;
         response.StatusMessage = ApplicationConstants.RESPONSE_JOB_JOB_REMOVED;
@@ -302,13 +227,13 @@
         return response;
       }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
-    }
-
-    public ResponseObject<JobResult> GetLastJobResultOf(Guid jobId) {
-       ResponseObject<JobResult> result = 
-        new ResponseObject<JobResult>();
+      /*finally {
+        if (session != null)
+          session.EndSession();
+      }
+    }   */
+
+    public ResponseObject<JobDto> GetLastJobResultOf(Guid jobId) {
+      ResponseObject<JobDto> result =
+        new ResponseObject<JobDto>();
 
        result.Obj =
@@ -320,7 +245,7 @@
     }
 
-    public ResponseObject<SerializedJobResult>
+    public ResponseObject<SerializedJob>
       GetLastSerializedJobResultOf(Guid jobId, bool requested) {
-      ISession session = factory.GetSessionForCurrentThread();
+      /*ISession session = factory.GetSessionForCurrentThread();
 
       ITransaction tx = null;
@@ -328,41 +253,42 @@
       try {
         IJobAdapter jobAdapter =
-            session.GetDataAdapter<Job, IJobAdapter>();
+            session.GetDataAdapter<JobDto, IJobAdapter>();
 
         IJobResultsAdapter jobResultsAdapter =
           session.GetDataAdapter<JobResult, IJobResultsAdapter>();
 
-        tx = session.BeginTransaction();
-
-        ResponseObject<SerializedJobResult> response =
-          new ResponseObject<SerializedJobResult>();
-
-        Job job = jobAdapter.GetById(jobId);
+        tx = session.BeginTransaction();                          */
+
+        ResponseObject<SerializedJob> response =
+          new ResponseObject<SerializedJob>();
+
+      JobDto job = DaoLocator.JobDao.FindById(jobId);
         if (requested && (job.State == State.requestSnapshot || job.State == State.requestSnapshotSent)) {
           response.Success = true;
           response.StatusMessage = ApplicationConstants.RESPONSE_JOB_RESULT_NOT_YET_HERE;
-
-          tx.Commit();
+          
+          //tx.Commit();
           
           return response;
         }
 
-        JobResult lastResult =
-          jobResultsAdapter.GetLastResultOf(job.Id);
-
-        if (lastResult != null) {
+        /*JobResult lastResult =
+          jobResultsAdapter.GetLastResultOf(job.Id);*/
+
+        //if (lastResult != null) {
           response.Success = true;
           response.StatusMessage = ApplicationConstants.RESPONSE_JOB_JOB_RESULT_SENT;
-          response.Obj =
-            jobResultsAdapter.GetSerializedJobResult(
-              lastResult.Id);          
-        } else {
-          response.Success = false;
-        }
-
-        tx.Commit();
-        return response;
-      }
-      catch (Exception ex) {
+          response.Obj = new SerializedJob();
+          response.Obj.JobInfo = job;
+          response.Obj.SerializedJobData =
+            DaoLocator.JobDao.GetBinaryJobFile(jobId);
+        //} else {
+        //  response.Success = false;
+        //}
+
+        //tx.Commit();
+        return response;
+      }
+      /*catch (Exception ex) {
         if (tx != null)
           tx.Rollback();
@@ -373,15 +299,15 @@
           session.EndSession();
       }
-    }
+    }    */
 
 
     public Response RequestSnapshot(Guid jobId) {
-      ISession session = factory.GetSessionForCurrentThread();
+     // ISession session = factory.GetSessionForCurrentThread();
       Response response = new Response();
       
-      try {
-        IJobAdapter jobAdapter = session.GetDataAdapter<Job, IJobAdapter>();
-
-        Job job = jobAdapter.GetById(jobId);
+     /* try {
+        IJobAdapter jobAdapter = session.GetDataAdapter<JobDto, IJobAdapter>();*/
+
+        JobDto job = DaoLocator.JobDao.FindById(jobId);
         if (job.State == State.requestSnapshot || job.State == State.requestSnapshotSent) {
           response.Success = true;
@@ -396,5 +322,5 @@
         // job is in correct state
         job.State = State.requestSnapshot;
-        jobAdapter.Update(job);
+        DaoLocator.JobDao.Update(job);
 
         response.Success = true;
@@ -403,18 +329,19 @@
         return response;
       }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
-    }
+    /*  finally {
+        if (session != null)
+          session.EndSession();
+      }
+    } */
 
     public Response AbortJob(Guid jobId) {
-      ISession session = factory.GetSessionForCurrentThread();
+      //ISession session = factory.GetSessionForCurrentThread();
       Response response = new Response();
 
-      try {
-        IJobAdapter jobAdapter = session.GetDataAdapter<Job, IJobAdapter>();
-
-        Job job = jobAdapter.GetById(jobId);
+    /*  try {
+        IJobAdapter jobAdapter = session.GetDataAdapter<JobDto, IJobAdapter>();*/
+
+//        JobDto job = jobAdapter.GetById(jobId);
+      JobDto job = DaoLocator.JobDao.FindById(jobId);
         if (job == null) {
           response.Success = false;
@@ -434,5 +361,5 @@
         // job is in correct state
         job.State = State.abort;
-        jobAdapter.Update(job);
+      DaoLocator.JobDao.Update(job);
 
         response.Success = true;
@@ -441,12 +368,12 @@
         return response;
       }
-      finally {
-        if (session != null)
-          session.EndSession();
-      }
-    }
+      /*finally {
+        if (session != null)
+          session.EndSession();
+      }
+    }   */
 
     public ResponseList<JobResult> GetAllJobResults(Guid jobId) {
-      ISession session = factory.GetSessionForCurrentThread();
+     /* ISession session = factory.GetSessionForCurrentThread();
       ResponseList<JobResult> response = new ResponseList<JobResult>();
 
@@ -454,7 +381,7 @@
         IJobResultsAdapter jobResultAdapter =
             session.GetDataAdapter<JobResult, IJobResultsAdapter>();
-        IJobAdapter jobAdapter = session.GetDataAdapter<Job, IJobAdapter>();
-
-        Job job = jobAdapter.GetById(jobId);
+        IJobAdapter jobAdapter = session.GetDataAdapter<JobDto, IJobAdapter>();
+
+        JobDto job = jobAdapter.GetById(jobId);
         if (job == null) {
           response.Success = false;
@@ -471,16 +398,17 @@
         if(session != null)
           session.EndSession();
-      }
-    }
-
-    public ResponseList<Project> GetAllProjects() {
-      ISession session = factory.GetSessionForCurrentThread();
-      ResponseList<Project> response = new ResponseList<Project>();
+      }  */
+      return new ResponseList<JobResult>();
+    }
+
+    public ResponseList<ProjectDto> GetAllProjects() {
+      /*ISession session = factory.GetSessionForCurrentThread();
+      ResponseList<ProjectDto> response = new ResponseList<ProjectDto>();
 
       try {
         IProjectAdapter projectAdapter =
-          session.GetDataAdapter<Project, IProjectAdapter>();
-
-        List<Project> allProjects = new List<Project>(projectAdapter.GetAll());
+          session.GetDataAdapter<ProjectDto, IProjectAdapter>();
+
+        List<ProjectDto> allProjects = new List<ProjectDto>(projectAdapter.GetAll());
         response.List = allProjects;
         response.Success = true;
@@ -490,9 +418,10 @@
         if (session != null)
           session.EndSession();
-      }
-    }
-
-    private Response createUpdateProject(Project project) {
-      ISession session = factory.GetSessionForCurrentThread();
+      } */
+      return null;
+    }
+
+    private Response createUpdateProject(ProjectDto project) {
+      /*ISession session = factory.GetSessionForCurrentThread();
       Response response = new Response();
       ITransaction tx = null;
@@ -500,5 +429,5 @@
       try {
         IProjectAdapter projectAdapter =
-          session.GetDataAdapter<Project, IProjectAdapter>();
+          session.GetDataAdapter<ProjectDto, IProjectAdapter>();
 
         if (project.Name == null || project.Name == "") {
@@ -528,17 +457,18 @@
           session.EndSession();
       }
-      return response;
-    }
-
-    public Response CreateProject(Project project) {
+      return response;    */
+      return null;
+    }
+
+    public Response CreateProject(ProjectDto project) {
       return createUpdateProject(project);
     }
 
-    public Response ChangeProject(Project project) {
+    public Response ChangeProject(ProjectDto project) {
       return createUpdateProject(project);
     }
 
     public Response DeleteProject(Guid projectId) {
-      ISession session = factory.GetSessionForCurrentThread();
+      /*ISession session = factory.GetSessionForCurrentThread();
       Response response = new Response();
       ITransaction tx = null;
@@ -546,7 +476,7 @@
       try {
         IProjectAdapter projectAdapter =
-          session.GetDataAdapter<Project, IProjectAdapter>();
-
-        Project project = projectAdapter.GetById(projectId);
+          session.GetDataAdapter<ProjectDto, IProjectAdapter>();
+
+        ProjectDto project = projectAdapter.GetById(projectId);
         if (project == null) {
           response.Success = false;
@@ -568,16 +498,17 @@
         if (session != null)
           session.EndSession();
-      }
-      return response;
-    }
-
-    public ResponseList<Job> GetJobsByProject(Guid projectId) {
-      ISession session = factory.GetSessionForCurrentThread();
-      ResponseList<Job> response = new ResponseList<Job>();
+      }     
+      return response; */
+      return null;
+    }
+
+    public ResponseList<JobDto> GetJobsByProject(Guid projectId) {
+      /*ISession session = factory.GetSessionForCurrentThread();
+      ResponseList<JobDto> response = new ResponseList<JobDto>();
 
       try {
         IJobAdapter jobAdapter =
-          session.GetDataAdapter<Job, IJobAdapter>();
-        List<Job> jobsByProject = new List<Job>(jobAdapter.GetJobsByProject(projectId));
+          session.GetDataAdapter<JobDto, IJobAdapter>();
+        List<JobDto> jobsByProject = new List<JobDto>(jobAdapter.GetJobsByProject(projectId));
         response.List = jobsByProject;
         response.Success = true;
@@ -586,6 +517,8 @@
         if (session != null)
           session.EndSession();
-      }
-      return response;
+      } 
+       
+      return response;*/
+      return null;      
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ServerConsoleFacade.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ServerConsoleFacade.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.Core/3.2/ServerConsoleFacade.cs	(revision 3011)
@@ -63,25 +63,25 @@
 
 
-    public ResponseList<ClientInfo> GetAllClients() {
+    public ResponseList<ClientDto> GetAllClients() {
       secMan.Authorize("AccessClients", sessionID, Guid.Empty);
       return clientManager.GetAllClients();
     }
 
-    public ResponseList<ClientGroup> GetAllClientGroups() {
+    public ResponseList<ClientGroupDto> GetAllClientGroups() {
       //secMan.Authorize("AccessClientGroup", sessionID, Guid.Empty);
       return clientManager.GetAllClientGroups();
     }
 
-    public ResponseList<UpTimeStatistics> GetAllUpTimeStatistics() {
+    public ResponseList<UpTimeStatisticsDto> GetAllUpTimeStatistics() {
       secMan.Authorize("AccessStatistics", sessionID, Guid.Empty);
       return clientManager.GetAllUpTimeStatistics();
     }
 
-    public ResponseObject<ClientGroup> AddClientGroup(ClientGroup clientGroup) {
+    public ResponseObject<ClientGroupDto> AddClientGroup(ClientGroupDto clientGroup) {
       secMan.Authorize("AddClientGroup", sessionID, Guid.Empty);
       return clientManager.AddClientGroup(clientGroup);
     }
 
-    public Response AddResourceToGroup(Guid clientGroupId, Resource resource) {
+    public Response AddResourceToGroup(Guid clientGroupId, ResourceDto resource) {
       secMan.Authorize("AddResource", sessionID, Guid.Empty);                
       return clientManager.AddResourceToGroup(clientGroupId, resource);
@@ -92,25 +92,25 @@
     }
 
-    public ResponseList<Job> GetAllJobs() {
+    public ResponseList<JobDto> GetAllJobs() {
       secMan.Authorize("AccessJobs", sessionID, Guid.Empty);
       return jobManager.GetAllJobs();
     }
 
-    public ResponseObject<Job> GetJobById(Guid jobId) {
+    public ResponseObject<JobDto> GetJobById(Guid jobId) {
       secMan.Authorize("AccessJobs", sessionID, jobId);
       return jobManager.GetJobById(jobId);
     }
 
-    public ResponseObject<Job> AddNewJob(SerializedJob job) {
+    public ResponseObject<JobDto> AddNewJob(SerializedJob job) {
       secMan.Authorize("AddJob", sessionID, job.JobInfo.Id);
       return jobManager.AddNewJob(job);
     }
 
-    public ResponseObject<JobResult> GetLastJobResultOf(Guid jobId) {
+    public ResponseObject<JobDto> GetLastJobResultOf(Guid jobId) {
       secMan.Authorize("AccessJobResults", sessionID, jobId);
       return jobManager.GetLastJobResultOf(jobId);
     }
 
-    public ResponseObject<SerializedJobResult> GetLastSerializedJobResultOf(Guid jobId, bool requested) {
+    public ResponseObject<SerializedJob> GetLastSerializedJobResultOf(Guid jobId, bool requested) {
       secMan.Authorize("AccessJobResults", sessionID, jobId);
       return jobManager.GetLastSerializedJobResultOf(jobId, requested);
@@ -137,5 +137,5 @@
     }
 
-    public ResponseObject<List<ClientGroup>> GetAllGroupsOfResource(Guid resourceId) {
+    public ResponseObject<List<ClientGroupDto>> GetAllGroupsOfResource(Guid resourceId) {
       secMan.Authorize("AccessUserGroup", sessionID, Guid.Empty);
       return clientManager.GetAllGroupsOfResource(resourceId);
@@ -147,15 +147,15 @@
     }
 
-    public ResponseList<Project> GetAllProjects() {
+    public ResponseList<ProjectDto> GetAllProjects() {
       secMan.Authorize("AccessProjects", sessionID, Guid.Empty);
       return jobManager.GetAllProjects();
     }
 
-    public Response CreateProject(Project project) {
+    public Response CreateProject(ProjectDto project) {
       secMan.Authorize("CreateProjects", sessionID, Guid.Empty);
       return jobManager.CreateProject(project);
     }
 
-    public Response ChangeProject(Project project) {
+    public Response ChangeProject(ProjectDto project) {
       secMan.Authorize("ChangeProjects", sessionID, Guid.Empty);
       return jobManager.ChangeProject(project);
@@ -167,5 +167,5 @@
     }
 
-    public ResponseList<Job> GetJobsByProject(Guid projectId) {
+    public ResponseList<JobDto> GetJobsByProject(Guid projectId) {
       secMan.Authorize("AccessJobs", sessionID, Guid.Empty);
       return jobManager.GetJobsByProject(projectId);
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/HeuristicLab.Hive.Server.DataAccess-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/HeuristicLab.Hive.Server.DataAccess-3.2.csproj	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/HeuristicLab.Hive.Server.DataAccess-3.2.csproj	(revision 3011)
@@ -77,5 +77,11 @@
   <ItemGroup>
     <Compile Include="IClientConfigAdapter.cs" />
+    <Compile Include="IClientConfigDao.cs" />
+    <Compile Include="IClientDao.cs" />
+    <Compile Include="IClientGroupDao.cs" />
+    <Compile Include="IGenericDao.cs" />
+    <Compile Include="IJobDao.cs" />
     <Compile Include="IPluginInfoAdapter.cs" />
+    <Compile Include="IPluginInfoDao.cs" />
     <Compile Include="IProjectAdapter.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
@@ -86,4 +92,5 @@
     <Compile Include="IJobResultsAdapter.cs" />
     <Compile Include="IResourceAdapter.cs" />
+    <Compile Include="VarBinaryStream.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -116,4 +123,5 @@
     <Reference Include="System" />
     <Reference Include="System.Data" />
+    <Reference Include="System.Transactions" />
     <Reference Include="System.Xml" />
   </ItemGroup>
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/HiveServerDataAccessPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/HiveServerDataAccessPlugin.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/HiveServerDataAccessPlugin.cs	(revision 3011)
@@ -27,6 +27,7 @@
 namespace HeuristicLab.Hive.DataAccess {
   [Plugin("HeuristicLab.Hive.Server.DataAccess-3.2")]
-  [PluginFile("HeuristicLab.Hive.Server.DataAccess-3.2.dll", PluginFileType.Assembly)]
+  [PluginFile("HeuristicLab.Hive.Server.DataAccess-3.2.dll", PluginFileType.Assembly)]  
   [PluginDependency("HeuristicLab.Core-3.2")]
+  [PluginDependency("HeuristicLab.Hive.DataAccess-3.2")]
   [PluginDependency("HeuristicLab.Hive.Contracts-3.2")]
   public class HiveServerDataAccessPlugin : PluginBase {
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientAdapter.cs	(revision 3011)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   /// The client database adapter
   /// </summary>
-  public interface IClientAdapter : IDataAdapter<ClientInfo> {
+  public interface IClientAdapter : IDataAdapter<ClientDto> {
     /// <summary>
     /// Get the client with the specified name
@@ -36,5 +36,5 @@
     /// <param name="clientId"></param>
     /// <returns></returns>
-    ClientInfo GetByName(string name);
+    ClientDto GetByName(string name);
 
     /// <summary>
@@ -42,5 +42,5 @@
     /// </summary>
     /// <returns></returns>
-    ICollection<ClientInfo> GetGrouplessClients();
+    ICollection<ClientDto> GetGrouplessClients();
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientConfigAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientConfigAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientConfigAdapter.cs	(revision 3011)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Hive.Server.DataAccess {
-  public interface IClientConfigAdapter: IDataAdapter<ClientConfig> {
+  public interface IClientConfigAdapter: IDataAdapter<ClientConfigDto> {
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientConfigDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientConfigDao.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientConfigDao.cs	(revision 3011)
@@ -0,0 +1,10 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  public interface IClientConfigDao: IGenericDao<ClientConfigDto> {
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientDao.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientDao.cs	(revision 3011)
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  public interface IClientDao: IGenericDao<ClientDto> {
+    IEnumerable<ClientDto> FindAllClientsWithoutGroup();
+
+    ClientDto GetClientForJob(Guid jobId);
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientGroupAdapter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientGroupAdapter.cs	(revision 3010)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientGroupAdapter.cs	(revision 3011)
@@ -30,5 +30,5 @@
   /// The client group database adapter
   /// </summary>
-  public interface IClientGroupAdapter: IDataAdapter<ClientGroup> {
+  public interface IClientGroupAdapter: IDataAdapter<ClientGroupDto> {
     /// <summary>
     /// Get the client group with the specified name
@@ -36,5 +36,5 @@
     /// <param name="clientId"></param>
     /// <returns></returns>
-    ClientGroup GetByName(string name);
+    ClientGroupDto GetByName(string name);
 
     /// <summary>
@@ -43,5 +43,5 @@
     /// <param name="permOwner"></param>
     /// <returns></returns>
-    ICollection<ClientGroup> MemberOf(Resource resource);
+    ICollection<ClientGroupDto> MemberOf(ResourceDto resource);
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientGroupDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientGroupDao.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IClientGroupDao.cs	(revision 3011)
@@ -0,0 +1,15 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  public interface IClientGroupDao: IGenericDao<ClientGroupDto> {
+    void AddRessourceToClientGroup(Guid ressource, Guid clientGroupId);
+    void RemoveRessourceFromClientGroup(Guid ressource, Guid clientGroupId);
+
+    IEnumerable<ClientGroupDto> MemberOf(ClientDto client);
+
+    IEnumerable<ClientGroupDto> FindAllWithSubGroupsAndClients();
+  }
+}
Index: /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IGenericDao.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IGenericDao.cs	(revision 3011)
+++ /trunk/sources/HeuristicLab.Hive.Server.DataAccess/3.2/IGenericDao.cs	(revision 3011)
@@ -0,0 +1,15 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Text;
+
+namespace HeuristicLab.Hive.Server.DataAccess {
+  public interface IGenericDao<TBusiness> {
+    TBusiness FindById(Guid id);
+    IEnumerable<TBusiness> FindAll();
+    TBusiness Insert(TBusiness bObj);
+    
+    void Delete(TBusiness bObj);
+
+    void Update(TBusiness bObj);
+  }
+}
